<?php
  include('conn.php');
  if ((!isset($_SESSION['CurrentIdUser'])) || ($_SESSION['CurrentIdUser'] == -1)) {
    if (isset($_COOKIE["cCodigo"]) && isset($_COOKIE["cMarca"])){
      //Tengo cookies memorizadas
      //además voy a comprobar que esas variables no estén vacías
      if ($_COOKIE["cCodigo"]!="" || $_COOKIE["cMarca"]!=""){
        //Voy a ver si corresponden con algún usuario
        $ssql = " select ID_USUARIO, NOMBRE, EMAIL, USUARIO 
                  FROM USUARIOS 
                  WHERE COOKIE='".$_COOKIE["cMarca"]."' AND ID_USUARIO=" . $_COOKIE["cCodigo"];
        $RsCookie = $DBSegu->Execute($ssql);
        if ($RsCookie->RecordCount() > 0) {
          $_SESSION['UsuarioValidado'] = 'SI';
          $_SESSION['CurrentUser'] = $RsCookie->fields['NOMBRE'];
          $_SESSION['CurrentIdUser'] = $RsCookie->fields['ID_USUARIO'];
          $_SESSION['CurrentCorreo'] = $RsCookie->fields['EMAIL'];
          $_SESSION['CurrentPortal'] = '';

          $sql = "select NOMBRE_BASE from BASES where isnull(PRINCIPAL,0) = 1 ";
          $RsBase = $DBSegu->Execute($sql);
          if (!$RsBase) {
            print $DBSegu->ErrorMsg();
          }
          $_SESSION['BaseMadre'] = ($RsBase->Recordcount() == 0)?'[PixoSeg].dbo.':$RsBase->fields['NOMBRE_BASE'].'.dbo.';
        }
        else {
          header("Location: login.php");    
        }
      }
    }
    else {
      header("Location: login.php");
    }
  }
?>
